Commit b6cf1ad5 authored by Adrien Béraud's avatar Adrien Béraud Committed by Adrien Béraud

docker: use system msgpack, argon2 on recent Ubuntu/Debian

msgpack-c and argon2 are now packaged in Ubuntu/Debian,
use them to reduce contrib build time and check for
compatibility with CI.

Change-Id: I5791546b6ca7aae1fded89fa8d772c955b4f68eb
parent a8645649
......@@ -18,6 +18,7 @@ RUN apt-get update && \
libdbus-1-dev \
libdbus-c++-dev \
libupnp-dev \
libargon2-0-dev \
libebook1.2-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
......@@ -52,6 +53,7 @@ RUN apt-get update && \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
......
......@@ -18,6 +18,7 @@ RUN apt-get update && \
libdbus-1-dev \
libdbus-c++-dev \
libupnp-dev \
libargon2-0-dev \
libebook1.2-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
......@@ -52,6 +53,7 @@ RUN apt-get update && \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
......
......@@ -29,6 +29,7 @@ RUN apt-get update && \
libdbus-c++-dev \
libupnp-dev \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
......@@ -63,6 +64,7 @@ RUN apt-get update && \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
......
......@@ -29,6 +29,7 @@ RUN apt-get update && \
libdbus-c++-dev \
libupnp-dev \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
......@@ -63,6 +64,7 @@ RUN apt-get update && \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment